CLOSE DATABASES all
SET REPORTBEHAVIOR 90
CLEAR

CREATE CURSOR stretch (fld1 c(1))
APPEND BLANK

LOCAL loListener

DO (_reportoutput) WITH 1, loListener

loListener.addCollectionMember("gfxStretch", "", "stretch.prg", .T., .T.)
MODIFY REPORT stretch
REPORT FORM stretch OBJECT loListener

DEFINE CLASS gfxStretch as Custom
	Procedure ApplyFX
	LPARAMETER toListener, tcMethodToken, tp1, tp2, tp3, tp4, tp5, tp6, tp7, tp8, tp9, tp10, tp11, tp12
	IF tcMethodToken!="RENDER"
		RETURN
	ENDIF
	SET DATASESSION TO (toListener.FRXDataSession)
	SELECT (toListener.MemberDataAlias)
	LOCAL lnRecno, lnRetval
	lnRecno = toListener.getFRXRecno(tcMethodToken, tP1, tP2)
	lnRetval = 0 && OUTPUTFX_DEFAULT_RENDER_BEHAVIOR
	LOCATE ALL FOR frxRecno = lnRecno AND name = "Prague.DevCon.2007.Stretch"
	IF FOUND()
	    toListener.FFCGraphics.TranslateTransform(tP2, tP3)
		toListener.FFCGraphics.ScaleTransform(VAL(xStretch)/100, VAL(yStretch)/100)
	    toListener.FFCGraphics.TranslateTransform(-tP2, -tP3)
	    lnRetval = 1 &&OUTPUTFX_BASERENDER_RENDER_BEFORE_RESTORE
	ENDIF	
	SET DATASESSION TO (toListener.CurrentDataSession)
	RETURN lnRetval
ENDDEFINE

