SET REPORTBEHAVIOR 90

SELECT SUM(amount) amount, YEAR(date) year, ;
	SUM(IIF(MONTH(date)=1,amount,0)) january, ;
	SUM(IIF(MONTH(date)=2,amount,0)) february, ;
	SUM(IIF(MONTH(date)=3,amount,0)) march, ;
	SUM(IIF(MONTH(date)=4,amount,0)) april, ;
	SUM(IIF(MONTH(date)=5,amount,0)) may, ;
	SUM(IIF(MONTH(date)=6,amount,0)) june, ;
	SUM(IIF(MONTH(date)=7,amount,0)) july, ;
	SUM(IIF(MONTH(date)=8,amount,0)) august, ;
	SUM(IIF(MONTH(date)=9,amount,0)) september, ;
	SUM(IIF(MONTH(date)=10,amount,0)) october, ;
	SUM(IIF(MONTH(date)=11,amount,0)) november, ;
	SUM(IIF(MONTH(date)=12,amount,0)) december, ;
	areas.name area, MAX(areas.id) areaid ;
	FROM sales JOIN areas ON sales.area = areas.id ;
	GROUP BY areas.name, 2 ORDER BY 2 ;
	having (year) in (2004, 2005,2006, 2007) ;
	into cursor monthlysales

LOCAL loHTMLListener

DO (_REPORTOUTPUT) WITH 5, loHTMLListener
loHTMLListener.targetFileName = "sales.html"

REPORT FORM salessummary OBJECT loHTMLListener nopageeject

* Example 1
REPORT FORM sales4 OBJECT loHTMLListener

* Example 2
*REPORT FORM HTMLsales OBJECT loHTMLListener

PROCEDURE HighNumber
LPARAMETERS tnArea, tnValue
DO case
	CASE INLIST(tnArea, 1,3)
		RETURN tnValue > 250000
	OTHERWISE
		RETURN tnValue > 50000
ENDCASE

PROCEDURE LowNumber
LPARAMETERS tnArea, tnValue
DO case
	CASE INLIST(tnArea, 1,3)
		RETURN tnValue < 50000
	OTHERWISE
		RETURN tnValue < 7000
ENDCASE

PROCEDURE ApplyDynamicNumberStyle
LPARAMETERS tnArea, tnValue, oProps
m.oProps.Reload = .t.

DO case
	CASE LowNumber(tnArea, tnValue)
      m.oProps.FillRed = 255
      m.oProps.FillGreen = 102
      m.oProps.FillBlue = 102

*	CASE HighNumber(tnArea, tnValue)
*      m.oProps.FontStyle = 5

	CASE HighNumber(tnArea, tnValue)
      m.oProps.FillRed = 121
      m.oProps.FillGreen = 188
      m.oProps.FillBlue = 255

   OTHERWISE  && default result from FRX definition
      m.oProps.Reload = .F.   
endcase
